|  | Home · All Classes · Modules

# QDragEnterEvent Class Reference
[QtGui module]

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it. More...

Inherits QDragMoveEvent.

### Methods

- __init__ (self, QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)
- __init__ (self, QDragEnterEvent other)

## Detailed Description

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it.

A widget must accept this event in order to receive the drag move events that are sent while the drag and drop action is in progress. The drag enter event is always immediately followed by a drag move event.

QDragEnterEvent inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent, and QDropEvent.

## Method Documentation

### QDragEnterEvent.__init__ (self, QPoint pos, Qt.DropActions actions, QMimeData data, Qt.MouseButtons buttons, Qt.KeyboardModifiers modifiers)

Constructs a QDragEnterEvent that represents a drag entering a widget at the given point with mouse and keyboard states specified by buttons and modifiers.

The drag data is passed as MIME-encoded information in data, and the specified actions describe the possible types of drag and drop operation that can be performed.

Warning: Do not create a QDragEnterEvent yourself since these objects rely on Qt's internal state.

### QDragEnterEvent.__init__ (self, QDragEnterEvent other)